<template>
  <div>
    <transition-group class="upload-file-list el-upload-list el-upload-list--text" name="el-fade-in-linear" tag="ul">
      <li key="li01" class="el-upload-list__item ele-upload-list__item-content">
        <el-link :href="`${baseUrl}${'/profile/upload' + document}`" :underline="false" target="_blank">
          <span class="el-icon-document" style="color:#0011ff;text-decoration: underline;">
            {{ getFileName(document) }}
          </span>
        </el-link>
        <!-- <div class="ele-upload-list__item-content-action" v-if="taskName == '会议评审'">
          <el-link :underline="false" @click="handleFileDelete(meetingForm, 'document')" type="danger">删除</el-link>
        </div> -->
      </li>
    </transition-group>
  </div>
</template>

<script>
export default {
  props: {
    document: {
      type: String,
      default: ''
    }
  },
  data() {
    return {
      baseUrl: process.env.VUE_APP_BASE_API,
    }
  },
  methods: {
    getFileName(name) {
      if (name) {
        let arr = name.split('/')
        return arr[arr.length - 1];
      }
    },
    handleFileDelete() {

    }
  }
}
</script>

<style lang="scss" scoped></style>